Package org.kie.api.fluent

## Interface BoundaryEventNodeBuilder<T extends NodeContainerBuilder<T,​?>>

- All Superinterfaces:
    `NodeBuilder<BoundaryEventNodeBuilder<T>,​T>`

      public interface BoundaryEventNodeBuilder<T extends NodeContainerBuilder<T,​?>>
      extends NodeBuilder<BoundaryEventNodeBuilder<T>,​T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BoundaryEventNodeBuilder<T>` | `attachedTo​(long attachedToId)` |
    `BoundaryEventNodeBuilder<T>` | `cancelActivity​(boolean cancelActivity)` |
    `T` | `eventTransformer​(UnaryOperator<Object> function)` |
    `T` | `eventType​(String eventType)` |
    `BoundaryEventNodeBuilder<T>` | `eventType​(String prefix, String Suffix)` |
    `T` | `scope​(String scope)` |
    `BoundaryEventNodeBuilder<T>` | `timeCycle​(String timeCycle)` |
    `BoundaryEventNodeBuilder<T>` | `timeCycle​(String timeCycle, Dialect dialect)` |
    `BoundaryEventNodeBuilder<T>` | `timeDuration​(String timeDuration)` |
    `T` | `variableName​(String name)` |

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### attachedTo

          BoundaryEventNodeBuilder<T> attachedTo​(long attachedToId)

    - #### eventType

          BoundaryEventNodeBuilder<T> eventType​(String prefix,
                                                String Suffix)

    - #### timeCycle

          BoundaryEventNodeBuilder<T> timeCycle​(String timeCycle)

    - #### timeCycle

          BoundaryEventNodeBuilder<T> timeCycle​(String timeCycle,
                                                Dialect dialect)

    - #### timeDuration

          BoundaryEventNodeBuilder<T> timeDuration​(String timeDuration)

    - #### cancelActivity

          BoundaryEventNodeBuilder<T> cancelActivity​(boolean cancelActivity)

    - #### eventType

          T eventType​(String eventType)

    - #### eventTransformer

          T eventTransformer​(UnaryOperator<Object> function)

    - #### scope

          T scope​(String scope)

    - #### variableName

          T variableName​(String name)